1. User
  • Getting Started
    • Introduction
    • Quickstart
    • Authentication
    • Status codes
  • Webhook
    • Webhook Setup
    • Webhook Events and Schema
  • SDKs
    • @klink.cloud/call-sdk
  • API Reference
    • Contact
      • Listing
      • Create
      • Filter By SocialPlatformId
      • Form Fields
      • Detail
      • Update
      • Delete
      • Fetch Contact Groups
      • Update tags
    • Tag
      • Listing
    • Channel
      • Listing
      • Create
    • Ticket
      • Listing
      • Create
      • Filter by Contact ID
      • Form Fields
      • Update
      • Update status
    • Category
      • Listing
    • CxLog
      • Listing
    • Message
      • Send message
      • Create comments
      • Get Comments
    • Media Manager
      • Get Folders
      • Get Folder By ID
      • Create Folder
      • Update Folder
      • Delete Folder
      • Get Files
      • Get File By ID
      • Create File
      • Update File
      • Delete File
    • Agent Activity
      • Get Agents Activities
    • Telephony
      • Get Telephony CDR
    • User
      • Create
        POST
      • Listing
        GET
      • Detail
        GET
      • Update
        PATCH
      • Delete
        DELETE
    • Automation Queue
      • Create
      • Listing
      • Detail
      • Update
      • Delete
      • Add Member
      • Remove Member
    • Role
      • Listing
Blog
Github
  1. User

Detail

GET
/api/v1/users/{id}
Returns a single user. Also the quickest way to confirm that a newly created account has finished provisioning.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Responses

🟢200
application/json
Bodyapplication/json

🟠401Unauthorized
🟠429Too Many Requests
🟠404Not Found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://apigw.klinkcx.com/api/v1/users/' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "requestId": "string",
    "data": {
        "id": "string",
        "name": "string",
        "email": "string",
        "phone": "string",
        "address": "string",
        "globalAgentCapacity": 0,
        "roles": [
            {
                "id": "string",
                "systemName": "string",
                "displayName": "string",
                "description": "string"
            }
        ],
        "createdAt": "string",
        "updatedAt": "string"
    }
}
Modified at 2026-08-10 03:17:25
Previous
Listing
Next
Update
Built with